#ifndef _KDEHARMONYTRACK_H_
#define _KDEHARMONYTRACK_H_

#include <kdeTrack.h>

class QComboBox;

class KdeHarmonyTrack : public KdeTrack
{
  Q_OBJECT

 private:
  QComboBox * _keybox;
  QComboBox * _genbox;

 public:
  KdeHarmonyTrack(Track*);
  virtual void update(bool);
  void setKey(int);
  void setGenus(int);

 public slots:
  void updateKey(int);
  void updateGenus(int);
};


#endif
